## ceph-12.2.9.tar.gz

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 2.8.11)

project(ceph)
set(VERSION 12.2.9)

if(POLICY CMP0046)
  # Tweak policies (this one disables "missing" dependency warning)
  cmake_policy(SET CMP0046 OLD)
endif()
# we use LINK_PRIVATE keyword instead of PRIVATE, but do not specify the LINK_PUBLIC
# for target_link_libraries() command when PUBLIC should be used instead, it's just
# for backward compatibility with cmake 2.8.11.
if (POLICY CMP0022)
cmake_policy(SET CMP0022 OLD)
endif (POLICY CMP0022)
if (POLICY CMP0023)
cmake_policy(SET CMP0023 OLD)
endif (POLICY CMP0023)
if(POLICY CMP0056)
  cmake_policy(SET CMP0056 NEW)
endif()
if(POLICY CMP0065)
  cmake_policy(SET CMP0065 NEW)
endif()
if(POLICY CMP0051)
  # cmake 3.1 and higher include generator expressions in SOURCES property.
  # in BuildBoost.cmake, get_target_property(<var> <target> SOURCES) is used
  # to retrieve the source files of a target. in that case, we are only
  # interested in the *source* files. and i don't want to bother stripping off
  # the TARGET_OBJECTS elements from the returned SOURCES. so let's stick with
  # the old behavior now.
  cmake_policy(SET CMP0051 OLD)
endif()
list(APPEND CMAKE_MODULE_PATH "${CMAKE_SOURCE_DIR}/cmake/modules/")

if(CMAKE_SYSTEM_NAME MATCHES "Linux")
  set(LINUX ON)
  FIND_PACKAGE(Threads)
elseif(CMAKE_SYSTEM_NAME MATCHES "FreeBSD")
  set(FREEBSD ON)
  FIND_PACKAGE(Threads)
elseif(APPLE)
  set(OperatingSystem "Mac OS X")
else()
  message(STATUS "No systemtype selected for building")
endif(CMAKE_SYSTEM_NAME MATCHES "Linux")

option(WITH_CCACHE "Build with ccache.")
if(WITH_CCACHE)
  find_program(CCACHE_FOUND ccache)
  if(CCACHE_FOUND)
    message(STATUS "Building with ccache: ${CCACHE_FOUND}, CCACHE_DIR=$ENV{CCACHE_DIR}")
    set_property(GLOBAL PROPERTY RULE_LAUNCH_COMPILE ccache)
    # ccache does not accelerate link (ld), but let it handle it. by passing it
    # along with cc to python's distutils, we are able to workaround
    # https://bugs.python.org/issue8027.
    set_property(GLOBAL PROPERTY RULE_LAUNCH_LINK ccache)
  else(CCACHE_FOUND)
    message(FATAL_ERROR "Can't find ccache. Is it installed?")
  endif(CCACHE_FOUND)
endif(WITH_CCACHE)

option(WITH_MANPAGE "Build man pages." ON)
if(WITH_MANPAGE)
  find_program(SPHINX_BUILD
    sphinx-build)
  if(NOT SPHINX_BUILD)
    message(FATAL_ERROR "Can't find sphinx-build.")
  endif(NOT SPHINX_BUILD)
endif(WITH_MANPAGE)

include_directories(
  ${PROJECT_BINARY_DIR}/src/include
  ${PROJECT_SOURCE_DIR}/src)

if(OFED_PREFIX)
  include_directories(${OFED_PREFIX}/include)
  link_directories(${OFED_PREFIX}/lib)
endif()

if(FREEBSD)
  include_directories(/usr/local/include)
  link_directories(/usr/local/lib)
  list(APPEND CMAKE_REQUIRED_INCLUDES /usr/local/include)
endif(FREEBSD)

#Check Includes
include(CheckIncludeFiles)
include(CheckIncludeFileCXX)
include(CheckFunctionExists)

#put all the libs and binaries in one place
set(CMAKE_ARCHIVE_OUTPUT_DIRECTORY ${CMAKE_BINARY_DIR}/lib)
set(CMAKE_LIBRARY_OUTPUT_DIRECTORY ${CMAKE_BINARY_DIR}/lib)
set(CMAKE_RUNTIME_OUTPUT_DIRECTORY ${CMAKE_BINARY_DIR}/bin)


CHECK_FUNCTION_EXISTS(fallocate CEPH_HAVE_FALLOCATE)
CHECK_FUNCTION_EXISTS(posix_fadvise HAVE_POSIX_FADVISE)
CHECK_FUNCTION_EXISTS(posix_fallocate HAVE_POSIX_FALLOCATE)
CHECK_FUNCTION_EXISTS(syncfs HAVE_SYS_SYNCFS)
CHECK_FUNCTION_EXISTS(sync_file_range HAVE_SYNC_FILE_RANGE)
CHECK_FUNCTION_EXISTS(pwritev HAVE_PWRITEV)
CHECK_FUNCTION_EXISTS(splice CEPH_HAVE_SPLICE)
CHECK_FUNCTION_EXISTS(getgrouplist HAVE_GETGROUPLIST)
CHECK_FUNCTION_EXISTS(fdatasync HAVE_FDATASYNC)
CHECK_FUNCTION_EXISTS(strerror_r HAVE_STRERROR_R)
CHECK_FUNCTION_EXISTS(name_to_handle_at HAVE_NAME_TO_HANDLE_AT)
CHECK_FUNCTION_EXISTS(pipe2 HAVE_PIPE2)
CHECK_FUNCTION_EXISTS(accept4 HAVE_ACCEPT4)

set(CMAKE_REQUIRED_LIBRARIES pthread)
CHECK_FUNCTION_EXISTS(pthread_spin_init HAVE_PTHREAD_SPINLOCK)
CHECK_FUNCTION_EXISTS(pthread_set_name_np HAVE_PTHREAD_SET_NAME_NP)
CHECK_FUNCTION_EXISTS(pthread_setname_np HAVE_PTHREAD_SETNAME_NP)
CHECK_FUNCTION_EXISTS(pthread_getname_np HAVE_PTHREAD_GETNAME_NP)
CHECK_FUNCTION_EXISTS(pthread_rwlockattr_setkind_np HAVE_PTHREAD_RWLOCKATTR_SETKIND_NP)
CHECK_FUNCTION_EXISTS(eventfd HAVE_EVENTFD)
CHECK_FUNCTION_EXISTS(getprogname HAVE_GETPROGNAME)

CHECK_INCLUDE_FILES("linux/types.h" HAVE_LINUX_TYPES_H)
CHECK_INCLUDE_FILES("linux/version.h" HAVE_LINUX_VERSION_H)
CHECK_INCLUDE_FILES("arpa/nameser_compat.h" HAVE_ARPA_NAMESER_COMPAT_H)
CHECK_INCLUDE_FILES("sys/mount.h" HAVE_SYS_MOUNT_H)
CHECK_INCLUDE_FILES("sys/param.h" HAVE_SYS_PARAM_H)
CHECK_INCLUDE_FILES("sys/types.h" HAVE_SYS_TYPES_H)
CHECK_INCLUDE_FILES("sys/vfs.h" HAVE_SYS_VFS_H)
CHECK_INCLUDE_FILES("sys/prctl.h" HAVE_SYS_PRCTL_H)
CHECK_INCLUDE_FILES("execinfo.h" HAVE_EXECINFO_H)
if(LINUX)
  CHECK_INCLUDE_FILES("sched.h" HAVE_SCHED)
endif(LINUX)
CHECK_INCLUDE_FILES("valgrind/helgrind.h" HAVE_VALGRIND_HELGRIND_H)

include(CheckTypeSize)
set(CMAKE_EXTRA_INCLUDE_FILES "linux/types.h")
CHECK_TYPE_SIZE(__be16 __BE16) 
CHECK_TYPE_SIZE(__be32 __BE32) 
CHECK_TYPE_SIZE(__be64 __BE64) 
CHECK_TYPE_SIZE(__le16 __LE16) 
CHECK_TYPE_SIZE(__le32 __LE32) 
CHECK_TYPE_SIZE(__le64 __LE64) 
CHECK_TYPE_SIZE(__u8 __U8) 
CHECK_TYPE_SIZE(__u16 __U16) 
CHECK_TYPE_SIZE(__u32 __U32) 
CHECK_TYPE_SIZE(__u64 __U64) 
CHECK_TYPE_SIZE(__s8 __S8) 
CHECK_TYPE_SIZE(__s16 __S16) 
CHECK_TYPE_SIZE(__s32 __S32) 
CHECK_TYPE_SIZE(__s64 __S64) 
unset(CMAKE_EXTRA_INCLUDE_FILES)

include(CheckSymbolExists)
CHECK_SYMBOL_EXISTS(res_nquery "resolv.h" HAVE_RES_NQUERY)
CHECK_SYMBOL_EXISTS(F_SETPIPE_SZ "linux/fcntl.h" CEPH_HAVE_SETPIPE_SZ)
CHECK_SYMBOL_EXISTS(__func__ "" HAVE_FUNC)
CHECK_SYMBOL_EXISTS(__PRETTY_FUNCTION__ "" HAVE_PRETTY_FUNC)

include(CheckCXXSourceCompiles)
CHECK_CXX_SOURCE_COMPILES("
  #include <string.h>
  int main() { char x = *strerror_r(0, &x, sizeof(x)); return 0; }
  " STRERROR_R_CHAR_P)

include(CheckStructHasMember)
CHECK_STRUCT_HAS_MEMBER("struct stat" st_mtim.tv_nsec sys/stat.h
  HAVE_STAT_ST_MTIM_TV_NSEC LANGUAGE C)
CHECK_STRUCT_HAS_MEMBER("struct stat" st_mtimespec.tv_nsec sys/stat.h
  HAVE_STAT_ST_MTIMESPEC_TV_NSEC LANGUAGE C)

set(CEPH_MAN_DIR "share/man" CACHE STRING "Install location for man pages (relative to prefix).")

option(ENABLE_SHARED "build shared libraries" ON)
if(ENABLE_SHARED)
  set(CEPH_SHARED SHARED)
else(ENABLE_SHARED)
  set(CEPH_SHARED STATIC)
endif(ENABLE_SHARED)
set(CMAKE_POSITION_INDEPENDENT_CODE ${ENABLE_SHARED})

option(WITH_RDMA "Enable RDMA in async messenger" ON)
if(WITH_RDMA)
  find_package(rdma REQUIRED)
  set(HAVE_RDMA ${RDMA_FOUND})
endif(WITH_RDMA)

find_package(Backtrace)

if(LINUX)
  find_package(udev REQUIRED)
  set(HAVE_UDEV ${UDEV_FOUND})

  find_package(aio REQUIRED)
  set(HAVE_LIBAIO ${AIO_FOUND})

  find_package(blkid REQUIRED)
  set(HAVE_BLKID ${BLKID_FOUND})
else()
  set(HAVE_UDEV OFF)
  message(STATUS "Not using udev")
  set(HAVE_LIBAIO OFF)
  message(STATUS "Not using AIO")
  set(HAVE_BLKID OFF)
  message(STATUS "Not using BLKID")
endif(LINUX)

option(WITH_OPENLDAP "OPENLDAP is here" ON)
if(${WITH_OPENLDAP})
find_package(OpenLdap REQUIRED)
set(HAVE_OPENLDAP ${OPENLDAP_FOUND})
endif(${WITH_OPENLDAP})

option(WITH_FUSE "Fuse is here" ON)
if(${WITH_FUSE})
find_package(fuse)
set(HAVE_LIBFUSE ${FUSE_FOUND})
endif(${WITH_FUSE})

option(WITH_XFS "XFS is here" ON)
if(WITH_XFS)
  find_package(xfs)
  set(HAVE_LIBXFS ${XFS_FOUND})
endif()

option(WITH_ZFS "enable LibZFS if found" OFF)
if(WITH_ZFS)
  find_package(zfs)
  set(HAVE_LIBZFS ${ZFS_FOUND})
endif()

option(WITH_SPDK "Enable SPDK" OFF)
if(WITH_SPDK)
  find_package(dpdk REQUIRED)
  set(HAVE_SPDK TRUE)
endif(WITH_SPDK)

option(WITH_PMEM "Enable PMEM" OFF)
if(WITH_PMEM)
  find_package(pmem REQUIRED)
  set(HAVE_PMEM ${PMEM_FOUND})
endif(WITH_PMEM)

# needs mds and? XXX
option(WITH_LIBCEPHFS "libcephfs client library" ON)

# key-value store
option(WITH_KVS "Key value store is here" ON)

# remote block storage
option(WITH_RBD "Remote block storage is here" ON)

# KERNEL remote block storage
option(WITH_KRBD "Kernel Remote block storage is here" ON)

if(WITH_KRBD AND WITHOUT_RBD)
  message(FATAL_ERROR "Cannot have WITH_KRBD with WITH_RBD.")
endif()

option(WITH_LEVELDB "LevelDB is here" ON)
if(WITH_LEVELDB)
  if(LEVELDB_PREFIX)
    include_directories(${LEVELDB_PREFIX}/include)
    link_directories(${LEVELDB_PREFIX}/lib)
  endif()
  find_package(leveldb REQUIRED)
  find_file(HAVE_LEVELDB_FILTER_POLICY leveldb/filter_policy.h PATHS ${LEVELDB_INCLUDE_DIR})
endif(WITH_LEVELDB)

find_package(snappy REQUIRED)

option(WITH_LZ4 "LZ4 compression support" OFF)
if(WITH_LZ4)
  find_package(LZ4 1.7 REQUIRED)
  set(HAVE_LZ4 ${LZ4_FOUND})
endif(WITH_LZ4)

#if allocator is set on command line make sure it matches below strings
if(ALLOCATOR)
  if(${ALLOCATOR} MATCHES "tcmalloc(_minimal)?")
    find_package(gperftools REQUIRED)
    set(HAVE_LIBTCMALLOC ON)
  elseif(${ALLOCATOR} STREQUAL "jemalloc")
    find_package(JeMalloc REQUIRED)
    set(HAVE_LIBJEMALLOC ${JEMALLOC_FOUND})
    set(HAVE_JEMALLOC 1)
  endif()
else(ALLOCATOR)
  find_package(gperftools)
  set(HAVE_LIBTCMALLOC ${GPERFTOOLS_FOUND})
  if(NOT GPERFTOOLS_FOUND)
    find_package(JeMalloc)
    set(HAVE_LIBJEMALLOC ${JEMALLOC_FOUND})
  endif(NOT GPERFTOOLS_FOUND)
  if(GPERFTOOLS_FOUND)
    set(ALLOCATOR tcmalloc)
  elseif(JEMALLOC_FOUND)
    set(ALLOCATOR jemalloc)
  else()
    if(NOT FREEBSD)
      # FreeBSD already has jemalloc as its default allocator
      message(WARNING "tcmalloc and jemalloc not found, falling back to libc")
    endif()
    set(ALLOCATOR "libc")
  endif(GPERFTOOLS_FOUND)
endif(ALLOCATOR)


if(WITH_LIBCEPHFS OR WITH_KRBD)
  find_package(keyutils REQUIRED)
endif()

find_package(CURL REQUIRED)
set(CMAKE_REQUIRED_INCLUDES ${CURL_INCLUDE_DIRS})
set(CMAKE_REQUIRED_LIBRARIES ${CURL_LIBRARIES})
CHECK_SYMBOL_EXISTS(curl_multi_wait curl/curl.h HAVE_CURL_MULTI_WAIT)

# nss or cryptopp?
option(WITH_NSS "Use NSS crypto and SSL implementations" ON)
if (${WITH_NSS})
  find_package(NSS REQUIRED)
    set(USE_NSS 1)
    find_package(NSPR REQUIRED)
    set(CRYPTO_LIBS ${NSS_LIBRARIES} ${NSPR_LIBRARIES})
else ()
  find_package(cryptopp REQUIRED)
    set(CRYPTO_LIBS ${CRYPTOPP_LIBRARIES})
    set(USE_CRYPTOPP 1)
endif (${WITH_NSS})

option(WITH_SSL "SSL build selected" ON)
if(USE_NSS)
  #nss
  set(SSL_LIBRARIES ${NSS_LIBRARIES})
  message(STATUS "SSL with NSS selected (Libs: ${SSL_LIBRARIES})")
else(USE_NSS)
  #openssl
  find_package(OpenSSL REQUIRED)
  set(USE_OPENSSL ON)
  set(SSL_LIBRARIES ${OPENSSL_LIBRARIES})
  message(STATUS "SSL with OpenSSL selected (Libs: ${SSL_LIBRARIES})")
endif(USE_NSS)

option(WITH_XIO "Enable XIO messaging" OFF)
if(WITH_XIO)
  find_package(xio REQUIRED)
set(HAVE_XIO ${XIO_FOUND})
endif(WITH_XIO)

option(WITH_DPDK "Enable DPDK messaging" OFF)
if(WITH_DPDK)
find_package(dpdk)
set(HAVE_DPDK ${DPDK_FOUND})
endif(WITH_DPDK)

option(WITH_BLKIN "Use blkin to emit LTTng tracepoints for Zipkin" OFF)
if(WITH_BLKIN)
  set(BLKIN_LIBRARIES blkin lttng-ust)
  include_directories(src/blkin/blkin-lib)
endif(WITH_BLKIN)

option(WITH_BOOST_CONTEXT "Enable boost::asio stackful coroutines" ON)
if(WITH_BOOST_CONTEXT)
  set(HAVE_BOOST_CONTEXT ON)
endif()

#option for RGW
option(WITH_RADOSGW "Rados Gateway is enabled" ON)
option(WITH_RADOSGW_FCGI_FRONTEND "Rados Gateway's FCGI frontend is enabled" OFF)
option(WITH_RADOSGW_BEAST_FRONTEND "Rados Gateway's Beast frontend is enabled" ON)
if(WITH_RADOSGW)
  find_package(EXPAT REQUIRED)
  if(WITH_RADOSGW_FCGI_FRONTEND)
    find_package(fcgi REQUIRED)
  endif()
  if(WITH_RADOSGW_BEAST_FRONTEND AND NOT WITH_BOOST_CONTEXT)
    message(WARNING "disabling WITH_RADOSGW_BEAST_FRONTEND, which depends on WITH_BOOST_CONTEXT")
    set(WITH_RADOSGW_BEAST_FRONTEND OFF)
  endif()
endif(WITH_RADOSGW)


if (WITH_RADOSGW)
  if (NOT DEFINED OPENSSL_FOUND)
    message(STATUS "Looking for openssl anyways, because radosgw selected")
    find_package(OpenSSL)
  endif()
# https://curl.haxx.se/docs/install.html mentions the
# configure flags for various ssl backends

=== debian/changelog ===
ceph (12.2.9-1) stable; urgency=medium

  * New upstream release

 -- Ceph Release Team <ceph-maintainers@ceph.com>  Wed, 24 Oct 2018 21:04:18 +0000

ceph (12.2.8-1) stable; urgency=medium

  * New upstream release

 -- Ceph Release Team <ceph-maintainers@ceph.com>  Thu, 30 Aug 2018 17:24:37 +0000

ceph (12.2.7-1) stable; urgency=medium

  * New upstream release

 -- Ceph Release Team <ceph-maintainers@ceph.com>  Mon, 16 Jul 2018 16:00:29 +0000

ceph (12.2.6-1) stable; urgency=medium

  * New upstream release

 -- Ceph Release Team <ceph-maintainers@ceph.com>  Mon, 09 Jul 2018 16:18:46 +0000

ceph (12.2.5-1) stable; urgency=medium

  * New upstream release

 -- Ceph Release Team <ceph-maintainers@ceph.com>  Mon, 23 Apr 2018 16:18:32 +0000

ceph (12.2.4-1) stable; urgency=medium

  * New upstream release

 -- Ceph Release Team <ceph-maintainers@ceph.com>  Mon, 26 Feb 2018 21:47:17 +0000

ceph (12.2.3-1) stable; urgency=medium

  * New upstream release

 -- Ceph Release Team <ceph-maintainers@ceph.com>  Mon, 19 Feb 2018 23:14:45 +0000

ceph (12.2.2-1) stable; urgency=medium

  * New upstream release

 -- Ceph Release Team <ceph-maintainers@ceph.com>  Thu, 30 Nov 2017 14:59:26 +0000

ceph (12.2.1-1) stable; urgency=medium

  * New upstream release

 -- Ceph Release Team <ceph-maintainers@ceph.com>  Tue, 26 Sep 2017 16:27:06 +0000

ceph (12.2.0-1) stable; urgency=medium

  * New upstream release

 -- Ceph Release Team <ceph-maintainers@ceph.com>  Mon, 28 Aug 2017 16:30:16 +0000

ceph (12.1.4-1) stable; urgency=medium

  * New upstream release

 -- Ceph Release Team <ceph-maintainers@ceph.com>  Tue, 15 Aug 2017 13:45:08 +0000

ceph (12.1.3-1) stable; urgency=medium

  * New upstream release

 -- Ceph Release Team <ceph-maintainers@ceph.com>  Thu, 10 Aug 2017 19:22:38 +0000

ceph (12.1.2-1) stable; urgency=medium

  * New upstream release

 -- Ceph Release Team <ceph-maintainers@ceph.com>  Tue, 01 Aug 2017 17:55:37 +0000

ceph (12.1.1-1) stable; urgency=medium

  * New upstream release

 -- Ceph Release Team <ceph-maintainers@ceph.com>  Mon, 17 Jul 2017 16:55:59 +0000

ceph (12.1.0-1) stable; urgency=medium

  * New upstream release

 -- Ceph Release Team <ceph-maintainers@ceph.com>  Thu, 22 Jun 2017 15:43:47 +0000

ceph (12.0.3-1) stable; urgency=medium

  * New upstream release

 -- Ceph Release Team <ceph-maintainers@ceph.com>  Tue, 16 May 2017 12:42:53 +0000

ceph (12.0.2-1) stable; urgency=medium

  * New upstream release

 -- Ceph Release Team <ceph-maintainers@ceph.com>  Thu, 20 Apr 2017 19:59:57 +0000

ceph (12.0.1-1) stable; urgency=medium

  * New upstream release

 -- Ceph Release Team <ceph-maintainers@ceph.com>  Fri, 24 Mar 2017 15:47:57 +0000

ceph (12.0.0-1) stable; urgency=medium

  * New upstream release

 -- Ceph Release Team <ceph-maintainers@ceph.com>  Wed, 08 Feb 2017 13:57:30 +0000

ceph (11.1.0-1) stable; urgency=medium

  * New upstream release

 -- Alfredo Deza <adeza@redhat.com>  Mon, 12 Dec 2016 18:27:51 +0000

ceph (11.0.2-1) stable; urgency=medium

  * New upstream release

 -- Alfredo Deza <adeza@redhat.com>  Mon, 17 Oct 2016 11:16:49 +0000

ceph (11.0.1-1) stable; urgency=medium

  * New upstream release

 -- Alfredo Deza <adeza@redhat.com>  Tue, 11 Oct 2016 16:27:56 +0000

ceph (11.0.0-1) stable; urgency=low

  * New upstream release

 -- Sage Weil <sage@newdream.net>  Tue, 28 Jun 2016 11:41:16 -0400

ceph (10.2.0-1) stable; urgency=medium

  * New upstream release

 -- Alfredo Deza <adeza@redhat.com>  Wed, 20 Apr 2016 11:29:47 +0000

ceph (10.1.2-1) stable; urgency=medium

  * New upstream release

 -- Alfredo Deza <adeza@redhat.com>  Tue, 12 Apr 2016 17:42:55 +0000

ceph (10.1.1-1) stable; urgency=medium

  * New upstream release

 -- Alfredo Deza <adeza@redhat.com>  Wed, 06 Apr 2016 00:45:18 +0000

ceph (10.1.0-1) stable; urgency=medium

  * New upstream release

 -- Alfredo Deza <adeza@redhat.com>  Thu, 24 Mar 2016 10:53:47 +0000

ceph (10.0.5) stable; urgency=low

  * New upstream release (just fixing changelog)

 -- Sage Weil <sage@newdream.net>  Fri, 11 Mar 2016 12:04:26 -0500

ceph (10.0.4) stable; urgency=low

  * New upstream release 

 -- Sage Weil <sage@newdream.net>  Thu, 03 Mar 2016 13:34:18 -0500

ceph (10.0.3) stable; urgency=low

  * New upstream release 

 -- Sage Weil <sage@newdream.net>  Mon, 08 Feb 2016 17:10:25 -0500

ceph (10.0.2-1) stable; urgency=low

  * New upstream release

 -- Alfredo Deza <adeza@redhat.com>  Wed, 13 Jan 2016 16:22:26 +0000

ceph (10.0.1-1) stable; urgency=low

  * New upstream release

 -- Alfredo Deza <adeza@redhat.com>  Mon, 14 Dec 2015 23:48:54 +0000

ceph (10.0.0-1) stable; urgency=low

  * New upstream release

 -- Alfredo Deza <adeza@redhat.com>  Mon, 16 Nov 2015 21:41:53 +0000

ceph (9.2.0-1) stable; urgency=low

  * New upstream release

 -- Jenkins Build Slave User <jenkins-build@jenkins-slave-wheezy.localdomain>  Tue, 03 Nov 2015 16:58:32 +0000

ceph (9.1.0-1) stable; urgency=low

  * New upstream release

 -- Alfredo Deza <adeza@redhat.com>  Tue, 13 Oct 2015 05:56:36 -0700

ceph (9.0.3-1) stable; urgency=low

  * New upstream release

 -- Alfredo Deza <adeza@redhat.com>  Fri, 21 Aug 2015 12:46:31 -0700

ceph (9.0.2-1) stable; urgency=low

  * New upstream release

 -- Alfredo Deza <adeza@redhat.com>  Tue, 14 Jul 2015 13:10:31 -0700

ceph (9.0.1-1) stable; urgency=low

  * New upstream release

 -- Alfredo Deza <adeza@redhat.com>  Fri, 05 Jun 2015 10:59:02 -0700

ceph (9.0.0-1) stable; urgency=low

  * New upstream release

 -- Alfredo Deza <adeza@redhat.com>  Mon, 04 May 2015 12:32:58 -0700

ceph (0.94-1) stable; urgency=low

  * New upstream release

 -- Alfredo Deza <adeza@redhat.com>  Tue, 07 Apr 2015 10:05:40 -0700

ceph (0.93-1) stable; urgency=low

  * New upstream release

 -- Alfredo Deza <adeza@redhat.com>  Fri, 27 Feb 2015 09:52:53 -0800

ceph (0.92-1) stable; urgency=low

  * New upstream release

 -- Alfredo Deza <adeza@redhat.com>  Mon, 02 Feb 2015 10:35:27 -0800



=== alpine/APKBUILD ===
# Contributor: John Coyle <dx9err@gmail.com>
# Maintainer: John Coyle <dx9err@gmail.com>
pkgname=ceph
pkgver=12.2.9
pkgrel=0
pkgdesc="Ceph is a distributed object store and file system"
pkgusers="ceph"
pkggroups="ceph"
url="http://ceph.com"
arch="x86_64"
license="LGPL-2.1 and CC-BY-SA-1.0 and GPL-2.0 and BSL-1.0 and \
GPL-2.0-with-autoconf-exception and BSD-3-Clause and MIT"
depends="ceph-osd ceph-mds ceph-mgr	ceph-mon"
# grep --quiet option required
# diffutils -y option required by osd-scrub-snaps.sh
# util-linux uuidgen required
makedepends="
	acl-dev
	argp-standalone
	bc
	boost-dev
	btrfs-progs
	bzip2-dev
	cmake
	coreutils
	cryptsetup
	curl-dev
	cython-dev
	diffutils
	eudev-dev
	expat-dev
	fcgi-dev
	flex
	fuse-dev
	git
	grep
	jq
	keyutils-dev
	leveldb-dev
	libaio-dev
	libedit-dev
	libressl-dev
	libtirpc-dev
	libtool
	libxml2-dev
	linux-headers
	lvm2-dev
	nss-dev
	openldap-dev
	parted
	procps
	python-dev
	py-pip
	py-nose
	py-sphinx
	py-virtualenv
	readline-dev
	rpcgen
	snappy-dev
	userspace-rcu-dev
	util-linux
	xfsprogs-dev
	xmlstarlet
	yasm
"
source="ceph-12.2.9.tar.bz2"
subpackages="
	$pkgname-base
	$pkgname-common
	$pkgname-mds
	$pkgname-mgr
	$pkgname-mon
	$pkgname-fuse:ceph_fuse
	$pkgname-radosgw
	$pkgname-osd
	$pkgname-doc
	$pkgname-bash-completion:bash_completion
	rbd-fuse:rbd_fuse
	rbd-mirror:rbd_mirror
	rbd-nbd:rbd_nbd
	librbd
	librbd-dev:librbd_dev
	libcephfs
	libcephfs-dev:libcephfs_dev
	librados
	librados-dev:librados_dev
	librgw
	librgw-dev:librgw_dev
	py-rados:py_rados
	py-rgw:py_rgw
	libradosstriper
	libradosstriper-dev:libradosstriper_dev
	py-rbd:py_rbd
	py-cephfs:py_cephfs
"

if [ -n "$CEPH_TEST_PKG" ]; then
	subpackages="$subpackages $pkgname-test:ceph_test"
fi

_ceph_uid=167
_ceph_gid=167

_prefix=/usr
_bindir=$_prefix/bin
_datadir=$_prefix/share
_docdir=$_datadir/doc
_includedir=$_prefix/include
_libdir=$_prefix/lib
_libexecdir=$_prefix/libexec
_localstatedir=/var
_mandir=$_datadir/man
_sbindir=/usr/sbin
_sysconfdir=/etc

_udevrulesdir=/etc/udev/rules.d
_python_sitelib=/usr/lib/python2.7/site-packages

builddir=$srcdir/ceph-12.2.9

build() {
	export CEPH_BUILD_VIRTUALENV=$builddir

	mkdir -p $builddir/build
	cd $builddir/build

	if [ -n "$MAKE_CHECK" ] || [ -n "$CEPH_TEST_PKG" ]; then
		local _with_tests=ON
	fi

	cmake .. \
		-DCMAKE_INSTALL_PREFIX=$_prefix \
		-DCMAKE_INSTALL_LIBDIR=$_libdir \
		-DCMAKE_INSTALL_LIBEXECDIR=$_libexecdir \
		-DCMAKE_INSTALL_LOCALSTATEDIR=$_localstatedir \
		-DCMAKE_INSTALL_SYSCONFDIR=$_sysconfdir \
		-DCMAKE_INSTALL_DOCDIR=$_docdir/ceph \
		-DCMAKE_INSTALL_MANDIR=$_mandir \
		-DWITH_REENTRANT_STRSIGNAL=ON \
		-DWITH_THREAD_SAFE_RES_QUERY=ON \
		-DWITH_MANPAGE=ON \
		-DWITH_PYTHON3=OFF \
		-DWITH_LTTNG=OFF \
		-DWITH_SYSTEM_BOOST=ON \
		-DWITH_TESTS=${_with_tests:-OFF} \
		|| return 1
	make -j${JOBS:-2} || return 1

	if [ -n "$MAKE_CHECK" ]; then
		ctest -j${JOBS:-2}
	fi
}

package() {
	cd $builddir/build
	make DESTDIR=$pkgdir install || return 1
	cd ..

	rm -f $pkgdir$_sysconfdir/init.d/ceph

	install -m 0644 -D src/etc-rbdmap $pkgdir$_sysconfdir/ceph/rbdmap \
		|| return 1

	install -m 0644 -D src/logrotate.conf $pkgdir$_sysconfdir/logrotate.d/ceph \
		|| return 1

	chmod 0644 $pkgdir$_docdir/ceph/sample.ceph.conf || return 1

	# udev rules
	install -m 0644 -D udev/50-rbd.rules $pkgdir$_udevrulesdir/50-rbd.rules || return 1
	install -m 0644 -D udev/60-ceph-by-parttypeuuid.rules  \
		$pkgdir$_udevrulesdir/60-ceph-by-parttypeuuid.rules || return 1
	install -m 0644 -D udev/95-ceph-osd.rules \
		$pkgdir$_udevrulesdir/95-ceph-osd.rules
}

base() {
	pkgdesc="Base is the package that includes all the files shared amongst ceph servers"
	depends="
		ceph-common
		cryptsetup
		librbd
		librados
		libcephfs
		librgw
		logrotate
		py-requests
		py-setuptools
		util-linux
		xfsprogs
	"

	_pkg $_bindir crushtool monmaptool osdmaptool ceph-run ceph-detect-init
	_pkg $_sbindir ceph-create-keys mount.ceph
	_pkg $_libexecdir/ceph ceph_common.sh
	_pkg $_libdir/rados-classes *.so*
	_pkg $_libdir/ceph/erasure-code libec_*.so*
	_pkg $_libdir/ceph/compressor libceph_*.so*
	_pkg $_sysconfdir/logrotate.d ceph
	_pkg $_python_sitelib ceph_detect_init* ceph_disk*
	for dir in tmp bootstrap-osd bootstrap-mds bootstrap-rgw; do
    	install -m 750 -o $_ceph_uid -g $_ceph_gid -d \
    		$subpkgdir$_localstatedir/lib/ceph/$dir || return 1
	done
}

common() {
	pkgdesc="Common utilities to mount and interact with a ceph storage cluster."
	depends="py-rados py-rbd py-cephfs"
	install="$pkgname-common.pre-install"

	_pkg $_bindir ceph \
		ceph-authtool \
		ceph-conf \
		ceph-dencoder \
		ceph-rbdnamer \
		ceph-syn \
		ceph-crush-location \
		cephfs-data-scan \
		cephfs-journal-tool \
		cephfs-table-tool \
		rados \
		rbd \
		rbd-replay \
		rbd-replay-many \
		rbdmap \
		ceph-post-file \
		ceph-brag
	_pkg $_datadir/ceph known_hosts_drop.ceph.com id_rsa_drop.ceph.com \
	 	id_rsa_drop.ceph.com.pub
	_pkg $_sysconfdir/ceph rbdmap
	_pkg $_python_sitelib ceph_argparse.py* ceph_daemon.py*
	_pkg $_udevrulesdir 50-rbd.rules
	install -m 3770 -o $_ceph_uid -g $_ceph_gid -d \
		$subpkgdir$_localstatedir/log/ceph || return 1
	install -m 750 -o $_ceph_uid -g $_ceph_gid -d \
		$subpkgdir$_localstatedir/lib/ceph
}

mds() {
	pkgdesc="Metadata server daemon for the Ceph distributed file system."
	depends="ceph-base"

	_pkg $_bindir ceph-mds
	install -m 750 -o $_ceph_uid -g $_ceph_gid -d \
		$subpkgdir$_localstatedir/lib/ceph/mds
}

mon() {
	pkgdesc="Cluster monitor daemon for the Ceph distributed file system."
	depends="ceph-base"

	_pkg $_bindir ceph-mon ceph-rest-api
	_pkg $_python_sitelib ceph_rest_api.py*
	install -m 750 -o $_ceph_uid -g $_ceph_gid -d \
		$subpkgdir$_localstatedir/lib/ceph/mon
}

ceph_fuse() {
	pkgdesc="FUSE based client for Ceph distributed network file system."

	_pkg $_bindir ceph-fuse
	_pkg $_sbindir mount.fuse.ceph
}

rbd_fuse() {
	pkgdesc="FUSE based client to map Ceph rbd images to files."
	depends="librados librbd"

	_pkg $_bindir rbd-fuse
}

rbd_mirror() {
	pkgdesc="Daemon for mirroring RBD images between Ceph clusters."
	depends="ceph-common librados"

	_pkg $_bindir rbd-mirror
}

rbd_nbd() {
	pkgdesc="NBD based client to map Ceph rbd images to local device."
	depends="librbd librados"

	_pkg $_bindir rbd-nbd
}

radosgw() {
	pkgdesc="Rados REST gateway which implements Amazon's S3 and OpenStack's Swift APIs."
	depends="ceph-common"

	_pkg $_bindir radosgw radosgw-admin radosgw-token radosgw-es radosgw-object-expirer
	mkdir -p $subpkgdir$_localstatedir/lib/ceph/radosgw
}

osd() {
	pkgdesc="Object storage daemon for the Ceph distributed file system."
	depends="ceph-base parted gptfdisk"

	_pkg $_bindir ceph-clsinfo ceph-bluefs-tool ceph-objectstore-tool ceph-osd
	_pkg $_sbindir ceph-disk
	_pkg $_libexecdir/ceph ceph-osd-prestart.sh
	_pkg $_udevrulesdir 60-ceph-by-parttypeuuid.rules 95-ceph-osd.rules
	install -m 750 -o $_ceph_uid -g $_ceph_gid -d \
		$subpkgdir$_localstatedir/lib/ceph/osd
}

librados() {
	pkgdesc="RADOS distributed object store client library"

	_pkg $_libdir librados.so.*
}

librados_dev() {
	pkgdesc="RADOS distributed object store client library headers"
	depends="librados"

	_pkg $_includedir/rados librados.h \
		librados.hpp \
		buffer.h \
		buffer_fwd.h \
		inline_memory.h \
		page.h \
		crc32c.h \
		rados_types.h \
		rados_types.hpp \
		memory.h
	_pkg $_libdir librados.so
	_pkg $_bindir librados-config
}

librgw() {
	pkgdesc="RADOS gateway client library"
	depends="librados"

	_pkg $_libdir librgw.so.*
}

librgw_dev() {
	pkgdesc="RADOS gateway client library headers"
	depends="librados"

	_pkg $_includedir/rados librgw.h rgw_file.h
	_pkg $_libdir librgw.so
}

py_rgw() {
	pkgdesc="Python 2 libraries for the RADOS gateway"
	depends="librgw py-rados"

	_pkg $_python_sitelib rgw.so rgw-*.egg-info
}

py_rados() {
	pkgdesc="Python libraries for the RADOS object store"
	depends="librados"

	_pkg $_python_sitelib rados.so rados-*.egg-info
}

libradosstriper() {
	pkgdesc="RADOS striping library"
	depends="librados"

	_pkg $_libdir libradosstriper.so.*
}

libradosstriper_dev() {
	pkgdesc="RADOS striping library headers"
	depends="libradosstriper librados-dev"

	_pkg $_includedir/radosstriper libradosstriper.h libradosstriper.hpp
	_pkg $_libdir libradosstriper.so
}

librbd() {
	pkgdesc="RADOS block device client library"
	depends="librados"

	_pkg $_libdir librbd.so.*
}

librbd_dev() {
	pkgdesc="RADOS block device client library headers"
	depends="librbd librados-dev"

	_pkg $_includedir/rbd features.h librbd.h librbd.hpp
	_pkg $_libdir librbd.so
}

py_rbd() {
	pkgdesc="Python libraries for the RADOS block device"
	depends="librbd py-rados"

	_pkg $_python_sitelib rbd.so rbd-*.egg-info
}

libcephfs() {
	pkgdesc="Ceph distributed file system client library"

	_pkg $_libdir libcephfs.so.*
}

libcephfs_dev() {
	pkgdesc="Ceph distributed file system client library headers"
	depends="libcephfs librados-devel"

	_pkg $_includedir/cephfs ceph_statx.h libcephfs.h
	_pkg $_libdir libcephfs.so
}

py_cephfs() {
	pkgdesc="Python libraries for Ceph distributed file system"
	depends="libcephfs py-rados"

	_pkg $_python_sitelib cephfs.so cephfs-*.egg-info ceph_volume_client.py*
}

ceph_test() {
	pkgdesc="Ceph benchmarks and test tools"
	depends="ceph-common xmlstarlet"

	_pkg $_bindir ceph-client-debug \
		ceph_bench_log \
		ceph_kvstorebench \
		ceph_multi_stress_watch \
		ceph_erasure_code \
		ceph_erasure_code_benchmark \
		ceph_omapbench \
		ceph_objectstore_bench \
		ceph_perf_objectstore \
		ceph_perf_local \
		ceph_perf_msgr_client \
		ceph_perf_msgr_server \
		ceph_psim \
		ceph_radosacl \
		ceph_rgw_jsonparser \
		ceph_rgw_multiparser \
		ceph_scratchtool \
		ceph_scratchtoolpp \
		ceph_smalliobench \
		ceph_smalliobenchdumb \
		ceph_smalliobenchfs \
		ceph_smalliobenchrbd \
		ceph_test_* \
		ceph_tpbench \
		ceph_xattr_bench \
		ceph-coverage \
		ceph-monstore-tool \
		ceph-osdomap-tool \
		ceph-kvstore-tool \
		ceph-debugpack

	_pkg $_libdir ceph/ceph-monstore-update-crush.sh
}

bash_completion() {
	depends="bash-completion"
	pkgdesc="Bash completions for Ceph"
	_pkg $_sysconfdir/bash_completion.d ceph rados radosgw-admin rbd
}

mgr() {
	pkgdesc="Ceph Manager Daemon"
	depends="ceph-base"

	_pkg $_bindir ceph-mgr
	_pkg $_libdir/ceph mgr

	install -m 750 -o $_ceph_uid -g $_ceph_gid -d \
		$subpkgdir$_localstatedir/lib/ceph/mgr
}

_pkg() {
	local path=$1
	shift
	local files=$@
	mkdir -p $subpkgdir$path || exit 1
	for _file in $files; do
		mv $pkgdir$path/$_file $subpkgdir$path || exit 1
	done
}

=== debian/control ===
Source: ceph
Section: admin
Priority: optional
Homepage: http://ceph.com/
Vcs-Git: git://github.com/ceph/ceph.git
Vcs-Browser: https://github.com/ceph/ceph
Maintainer: Ceph Maintainers <ceph-maintainers@lists.ceph.com>
Uploaders: Ken Dreyer <kdreyer@redhat.com>,
           Alfredo Deza <adeza@redhat.com>,
Build-Depends: bc,
               btrfs-tools,
               cmake,
               cpio,
               cryptsetup-bin | cryptsetup,
               cython,
               cython3,
               debhelper (>= 9),
               default-jdk,
               dh-exec,
               dh-python,
               dh-systemd,
               gdisk,
               git,
               gperf,
               javahelper,
               jq,
               junit4,
               libaio-dev,
               libbabeltrace-ctf-dev,
               libbabeltrace-dev,
               libblkid-dev (>= 2.17),
               libcurl4-openssl-dev,
               libexpat1-dev,
               libfuse-dev,
               libgoogle-perftools-dev [i386 amd64 arm64],
               libibverbs-dev,
               libkeyutils-dev,
               libldap2-dev,
               libleveldb-dev,
               liblttng-ust-dev,
               libnss3-dev,
               libsnappy-dev,
               libssl-dev,
               libtool,
               libudev-dev,
               libxml2-dev,
               lsb-release,
               parted,
               pkg-config,
               python (>= 2.7),
               python-all-dev,
               python-coverage,
               python-cherrypy3,
               python-nose,
               python-pecan,
               python-prettytable,
               python-setuptools,
               python-six,
               python-sphinx,
               python-werkzeug,
               python3-all-dev,
               python3-setuptools,
               socat,
               uuid-runtime,
               valgrind,
               virtualenv | python-virtualenv,
               xfslibs-dev,
               xfsprogs,
               xmlstarlet,
               yasm [amd64],
               zlib1g-dev,
Standards-Version: 3.9.3

Package: ceph
Architecture: linux-any
Depends: ceph-mgr (= ${binary:Version}),
         ceph-mon (= ${binary:Version}),
         ceph-osd (= ${binary:Version}),
Recommends: ceph-mds (= ${binary:Version}),
Description: distributed storage and file system
 Ceph is a massively scalable, open-source, distributed
 storage system that runs on commodity hardware and delivers object,
 block and file system storage.

Package: ceph-base
Architecture: linux-any
Depends: binutils,
         ceph-common (= ${binary:Version}),
         cryptsetup-bin | cryptsetup,
         debianutils,
         e2fsprogs,
         findutils,
         gdisk,
         grep,
         logrotate,
         psmisc,
         xfsprogs,
         ${misc:Depends},
         ${python:Depends},
         ${shlibs:Depends},
Recommends: btrfs-tools,
            ceph-mds (= ${binary:Version}),
            librados2 (= ${binary:Version}),
            libradosstriper1 (= ${binary:Version}),
            librbd1 (= ${binary:Version}),
            ntp | time-daemon,
Replaces: ceph (<< 10),
          ceph-common (<< 0.78-500),
          ceph-test (<< 12.2.2-14),
          python-ceph (<< 0.92-1223),
Breaks: ceph (<< 10),
        ceph-test (<< 12.2.2-14),
        python-ceph (<< 0.92-1223),
Description: common ceph daemon libraries and management tools
 Ceph is a massively scalable, open-source, distributed
 storage system that runs on commodity hardware and delivers object,
 block and file system storage.
 .
 This package contains the libraries and management tools that are common among
 the Ceph server daemons (ceph-mon, ceph-mgr, ceph-osd, ceph-mds). These tools
 are necessary for creating, running, and administering a Ceph storage cluster.

Package: ceph-base-dbg
Architecture: linux-any
Section: debug
Priority: extra
Depends: ceph-base (= ${binary:Version}),
         ${misc:Depends},
Description: debugging symbols for ceph-base
 Ceph is a massively scalable, open-source, distributed
 storage system that runs on commodity hardware and delivers object,
 block and file system storage.
 .
 This package contains the libraries and management tools that are common among
 the Ceph server daemons (ceph-mon, ceph-mgr, ceph-osd, ceph-mds). These tools
 are necessary for creating, running, and administering a Ceph storage cluster.
 .
 This package contains the debugging symbols for ceph-base.

Package: ceph-mds
Architecture: linux-any
Depends: ceph-base (= ${binary:Version}),
         ${misc:Depends},
         ${shlibs:Depends},
Recommends: ceph-fuse (= ${binary:Version}),
            libcephfs2 (= ${binary:Version}),
Replaces: ceph (<< 0.93-417),
Breaks: ceph (<< 0.93-417),
Description: metadata server for the ceph distributed file system
 Ceph is a massively scalable, open-source, distributed
 storage system that runs on commodity hardware and delivers object,
 block and file system storage.
 .
 This package contains the metadata server daemon, which is used to
 create a distributed file system on top of the ceph storage cluster.

Package: ceph-mds-dbg
Architecture: linux-any
Section: debug
Priority: extra
Depends: ceph-mds (= ${binary:Version}),
         ${misc:Depends},
Description: debugging symbols for ceph-mds
 Ceph is a massively scalable, open-source, distributed
 storage system that runs on commodity hardware and delivers object,
 block and file system storage.
 .
 This package contains the debugging symbols for ceph-mds.

Package: ceph-mgr
Architecture: linux-any
Depends: ceph-base (= ${binary:Version}),
         python-cherrypy3,
         python-jinja2,
         python-openssl,
         python-pecan,
         python-werkzeug,
         ${misc:Depends},
         ${python:Depends},
         ${shlibs:Depends},
Replaces: ceph (<< 0.93-417),
Breaks: ceph (<< 0.93-417),
Description: manager for the ceph distributed storage system
 Ceph is a massively scalable, open-source, distributed
 storage system that runs on commodity hardware and delivers object,
 block and file system storage.
 .
 This package contains the manager daemon, which is used to expose high
 level management and monitoring functionality.

Package: ceph-mgr-dbg
Architecture: linux-any
Section: debug
Priority: extra
Depends: ceph-mgr (= ${binary:Version}),
         ${misc:Depends},
Description: debugging symbols for ceph-mgr
 Ceph is a massively scalable, open-source, distributed
 storage system that runs on commodity hardware and delivers object,
 block and file system storage.
 .
 This package contains the debugging symbols for ceph-mgr.

Package: ceph-mon
Architecture: linux-any
Depends: ceph-base (= ${binary:Version}),
         python-flask,
         ${misc:Depends},
         ${shlibs:Depends},
Recommends: ceph-common,
Replaces: ceph (<< 10), ceph-test (<< 12.2.2-14)
Breaks: ceph (<< 10), ceph-test (<< 12.2.2-14)
Description: monitor server for the ceph storage system
 Ceph is a massively scalable, open-source, distributed
 storage system that runs on commodity hardware and delivers object,
 block and file system storage.
 .
 This package contains the cluster monitor daemon for the Ceph storage
 system. One or more instances of ceph-mon form a Paxos part-time parliament
 cluster that provides extremely reliable and durable storage of cluster
 membership, configuration, and state.

Package: ceph-mon-dbg
Architecture: linux-any
Section: debug
Priority: extra
Depends: ceph-mon (= ${binary:Version}),
         ${misc:Depends},
Description: debugging symbols for ceph-mon
 Ceph is a massively scalable, open-source, distributed
 storage system that runs on commodity hardware and delivers object,
 block and file system storage.
 .
 This package contains the debugging symbols for ceph-mon.

Package: ceph-osd
Architecture: linux-any
Depends: ceph-base (= ${binary:Version}),
         parted,
         lvm2,
         ${misc:Depends},
         ${python:Depends},
         ${shlibs:Depends},
Recommends: ceph-common (= ${binary:Version}),
Replaces: ceph (<< 10), ceph-test (<< 12.2.2-14)
Breaks: ceph (<< 10), ceph-test (<< 12.2.2-14)
Description: OSD server for the ceph storage system
 Ceph is a massively scalable, open-source, distributed
 storage system that runs on commodity hardware and delivers object,
 block and file system storage.
 .
 This package contains the Object Storage Daemon for the Ceph storage system.
 It is responsible for storing objects on a local file system
 and providing access to them over the network.

Package: ceph-osd-dbg
Architecture: linux-any
Section: debug
Priority: extra
Depends: ceph-osd (= ${binary:Version}),
         ${misc:Depends},
Description: debugging symbols for ceph-osd
 Ceph is a massively scalable, open-source, distributed
 storage system that runs on commodity hardware and delivers object,
 block and file system storage.
 .
 This package contains the debugging symbols for ceph-osd.

Package: ceph-fuse
Architecture: linux-any
Depends: ${misc:Depends},
         ${shlibs:Depends},
         fuse,
Description: FUSE-based client for the Ceph distributed file system
 Ceph is a massively scalable, open-source, distributed
 storage system that runs on commodity hardware and delivers object,
 block and file system storage.  This is a
 FUSE-based client that allows one to mount a Ceph file system without
 root privileges.
 .
 Because the FUSE-based client has certain inherent performance
 limitations, it is recommended that the native Linux kernel client
 be used if possible.  If it is not practical to load a kernel module
 (insufficient privileges, older kernel, etc.), then the FUSE client will
 do.

Package: ceph-fuse-dbg
Architecture: linux-any
Section: debug
Priority: extra
Depends: ceph-fuse (= ${binary:Version}),
         ${misc:Depends},
Description: debugging symbols for ceph-fuse
 Ceph is a massively scalable, open-source, distributed
 storage system that runs on commodity hardware and delivers object,
 block and file system storage.  This is a
 FUSE-based client that allows one to mount a Ceph file system without
 root privileges.
 .
 This package contains the debugging symbols for ceph-fuse.

Package: rbd-fuse
Architecture: linux-any
Depends: ${misc:Depends},
         ${shlibs:Depends},
Recommends: fuse,
Description: FUSE-based rbd client for the Ceph distributed file system
 Ceph is a massively scalable, open-source, distributed
 storage system that runs on commodity hardware and delivers object,
 block and file system storage.  This is a
 FUSE-based client that allows one to map Ceph rbd images as files.
 .
 FUSE base client that allows one to map Ceph rbd images as files.

Package: rbd-fuse-dbg
Architecture: linux-any
Section: debug
Priority: extra
Depends: rbd-fuse (= ${binary:Version}),
         ${misc:Depends},
Description: debugging symbols for rbd-fuse
 Ceph is a massively scalable, open-source, distributed
 storage system that runs on commodity hardware and delivers object,
 block and file system storage.  This is a
 FUSE-based client that allows one to map Ceph rbd images as files.
 .
 This package contains the debugging symbols for rbd-fuse.

Package: rbd-mirror
Architecture: linux-any
Depends: ceph-common (= ${binary:Version}),
         librados2 (= ${binary:Version}),
         ${misc:Depends},
         ${shlibs:Depends},
Description: Ceph daemon for mirroring RBD images
 Ceph is a massively scalable, open-source, distributed
 storage system that runs on commodity hardware and delivers object,
 block and file system storage.  This is a
 daemon for mirroring RBD images between Ceph clusters, streaming
 changes asynchronously.

Package: rbd-mirror-dbg
Architecture: linux-any
Section: debug
Priority: extra
Depends: rbd-mirror (= ${binary:Version}),
         ${misc:Depends},
Description: debugging symbols for rbd-mirror
 Ceph is a massively scalable, open-source, distributed
